<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>SireneImport</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.insee, class: SireneImport">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":10,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/SireneImport.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.insee</a></div>
<h1 title="Class SireneImport" class="title">Class SireneImport</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.ici.dataImporter.insee.SireneImport</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">SireneImport</span>
extends java.lang.Object</pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li>
<section class="nested-class-summary" id="nested.class.summary">
<h2>Nested Class Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Nested Classes</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) static class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="SireneImport.TemporizeSIRENECursoredData.html" title="class in fr.ici.dataImporter.insee">SireneImport.TemporizeSIRENECursoredData</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) static boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#append">append</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) static java.util.Timer</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#timer">timer</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">SireneImport</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#classSIRENEEntryNAF1993(java.lang.String,boolean,java.io.File)">classSIRENEEntryNAF1993</a></span>&#8203;(java.lang.String&nbsp;amen,
boolean&nbsp;revised,
java.io.File&nbsp;modele)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#classSIRENEEntryNAFRev2(java.lang.String,java.io.File)">classSIRENEEntryNAFRev2</a></span>&#8203;(java.lang.String&nbsp;codeAmenite,
java.io.File&nbsp;modele)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#classSIRENEEntryNAFRev2(java.lang.String,java.io.File,java.lang.String)">classSIRENEEntryNAFRev2</a></span>&#8203;(java.lang.String&nbsp;codeAmenite,
java.io.File&nbsp;modele,
java.lang.String&nbsp;value)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#classSIRENEEntryNAP(java.lang.String,java.io.File)">classSIRENEEntryNAP</a></span>&#8203;(java.lang.String&nbsp;codeAmenite,
java.io.File&nbsp;modele)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static <a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#createSirene(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">createSirene</a></span>&#8203;(java.lang.String&nbsp;etatAdministratifEtablissement,
java.lang.String&nbsp;entryType,
java.lang.String&nbsp;nAdresse,
java.lang.String&nbsp;adresse,
java.lang.String&nbsp;typeVoie,
java.lang.String&nbsp;codePos,
java.lang.String&nbsp;codeAmeniteEtablissement,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;denominationUniteLegale,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;trancheEffectifsEtablissement)</code></th>
<td class="col-last">
<div class="block">For API import</div>
</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>static <a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#createSirene(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">createSirene</a></span>&#8203;(java.lang.String&nbsp;etatAdministratifEtablissement,
java.lang.String&nbsp;entryType,
java.lang.String&nbsp;nAdresse,
java.lang.String&nbsp;adresse,
java.lang.String&nbsp;typeVoie,
java.lang.String&nbsp;codePos,
java.lang.String&nbsp;codeAmeniteEtablissement,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;denominationUniteLegale,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;trancheEffectifsEtablissement,
org.locationtech.jts.geom.Point&nbsp;p)</code></th>
<td class="col-last">
<div class="block">For BDD import</div>
</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>static <a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#createSirene(org.opengis.feature.simple.SimpleFeature,java.lang.String,org.locationtech.jts.geom.Point)">createSirene</a></span>&#8203;(org.opengis.feature.simple.SimpleFeature&nbsp;sf,
java.lang.String&nbsp;entryType,
org.locationtech.jts.geom.Point&nbsp;p)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNextCursorJson(java.io.File)">getNextCursorJson</a></span>&#8203;(java.io.File&nbsp;f)</code></th>
<td class="col-last">
<div class="block">Get the next cursor to download multiple parts of the data with the SIRENE API (see <a href="https://api.insee.fr/catalogue/site/themes/wso2/subthemes/insee/templates/api/documentation/download.jag?tenant=carbon.super&resourceUrl=/registry/resource/_system/governance/apimgt/applicationdata/provider/insee/Sirene/V3/documentation/files/INSEE%20Documentation%20API%20Sirene%20Services-V3.9.pdf">doc</a>
 p36/37)</div>
</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSIRENEData(java.io.File)">getSIRENEData</a></span>&#8203;(java.io.File&nbsp;outFolder)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSIRENEData(java.lang.String,java.io.File)">getSIRENEData</a></span>&#8203;(java.lang.String&nbsp;curseur,
java.io.File&nbsp;outFile)</code></th>
<td class="col-last">
<div class="block">Get SIRENE data via their API.</div>
</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importSIRENEfromPostgisDB(java.lang.String)">importSIRENEfromPostgisDB</a></span>&#8203;(java.lang.String&nbsp;codeCommune)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importSIRENEfromPostgisDB(java.lang.String,java.io.File,boolean)">importSIRENEfromPostgisDB</a></span>&#8203;(java.lang.String&nbsp;codeCommune,
java.io.File&nbsp;outFolder,
boolean&nbsp;overwriteOutput)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importSIRENEfromPostgisDB(java.util.List,java.io.File)">importSIRENEfromPostgisDB</a></span>&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;codeCommune,
java.io.File&nbsp;outFolder)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><code>static java.util.List&lt;<a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#parseSireneEntry(java.io.File,java.io.File,java.lang.String)">parseSireneEntry</a></span>&#8203;(java.io.File&nbsp;jSON,
java.io.File&nbsp;folderOut,
java.lang.String&nbsp;entryType)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="append">
<h3>append</h3>
<div class="member-signature"><span class="modifiers">static</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">append</span></div>
</section>
</li>
<li>
<section class="detail" id="timer">
<h3>timer</h3>
<div class="member-signature"><span class="modifiers">static</span>&nbsp;<span class="return-type">java.util.Timer</span>&nbsp;<span class="member-name">timer</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>SireneImport</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SireneImport</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="main(java.lang.String[])">
<h3>main</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">main</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;args)</span>
                 throws <span class="exceptions">java.io.IOException,
org.opengis.geometry.MismatchedDimensionException,
java.sql.SQLException,
org.opengis.referencing.FactoryException,
org.geotools.filter.text.cql2.CQLException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>org.opengis.geometry.MismatchedDimensionException</code></dd>
<dd><code>java.sql.SQLException</code></dd>
<dd><code>org.opengis.referencing.FactoryException</code></dd>
<dd><code>org.geotools.filter.text.cql2.CQLException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importSIRENEfromPostgisDB(java.util.List,java.io.File)">
<h3>importSIRENEfromPostgisDB</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">importSIRENEfromPostgisDB</span>&#8203;(<span class="parameters">java.util.List&lt;java.lang.String&gt;&nbsp;codeCommune,
java.io.File&nbsp;outFolder)</span>
                                      throws <span class="exceptions">java.io.IOException,
org.opengis.referencing.FactoryException,
org.geotools.filter.text.cql2.CQLException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>org.opengis.referencing.FactoryException</code></dd>
<dd><code>org.geotools.filter.text.cql2.CQLException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importSIRENEfromPostgisDB(java.lang.String)">
<h3>importSIRENEfromPostgisDB</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">importSIRENEfromPostgisDB</span>&#8203;(<span class="parameters">java.lang.String&nbsp;codeCommune)</span>
                                      throws <span class="exceptions">java.io.IOException,
org.opengis.referencing.FactoryException,
org.geotools.filter.text.cql2.CQLException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>org.opengis.referencing.FactoryException</code></dd>
<dd><code>org.geotools.filter.text.cql2.CQLException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importSIRENEfromPostgisDB(java.lang.String,java.io.File,boolean)">
<h3>importSIRENEfromPostgisDB</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">importSIRENEfromPostgisDB</span>&#8203;(<span class="parameters">java.lang.String&nbsp;codeCommune,
java.io.File&nbsp;outFolder,
boolean&nbsp;overwriteOutput)</span>
                                      throws <span class="exceptions">java.io.IOException,
org.opengis.referencing.FactoryException,
org.geotools.filter.text.cql2.CQLException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>org.opengis.referencing.FactoryException</code></dd>
<dd><code>org.geotools.filter.text.cql2.CQLException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getSIRENEData(java.lang.String,java.io.File)">
<h3>getSIRENEData</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getSIRENEData</span>&#8203;(<span class="parameters">java.lang.String&nbsp;curseur,
java.io.File&nbsp;outFile)</span>
                                      throws <span class="exceptions">java.io.IOException,
java.net.URISyntaxException</span></div>
<div class="block">Get SIRENE data via their API. Not the best way to get SIRENE data</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>curseur</code> - when the last data transfer has stopped</dd>
<dd><code>outFile</code> - File to write data to</dd>
<dt>Returns:</dt>
<dd>new cursor</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.net.URISyntaxException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getNextCursorJson(java.io.File)">
<h3>getNextCursorJson</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getNextCursorJson</span>&#8203;(<span class="parameters">java.io.File&nbsp;f)</span>
                                          throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Get the next cursor to download multiple parts of the data with the SIRENE API (see <a href="https://api.insee.fr/catalogue/site/themes/wso2/subthemes/insee/templates/api/documentation/download.jag?tenant=carbon.super&resourceUrl=/registry/resource/_system/governance/apimgt/applicationdata/provider/insee/Sirene/V3/documentation/files/INSEE%20Documentation%20API%20Sirene%20Services-V3.9.pdf">doc</a>
 p36/37)</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>f</code> - the answered json file</dd>
<dt>Returns:</dt>
<dd>the next cursor value</dd>
<dt>Throws:</dt>
<dd><code>com.fasterxml.jackson.core.JsonParseException</code></dd>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="parseSireneEntry(java.io.File,java.io.File,java.lang.String)">
<h3>parseSireneEntry</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a>&gt;</span>&nbsp;<span class="member-name">parseSireneEntry</span>&#8203;(<span class="parameters">java.io.File&nbsp;jSON,
java.io.File&nbsp;folderOut,
java.lang.String&nbsp;entryType)</span>
                                                    throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="createSirene(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">
<h3>createSirene</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></span>&nbsp;<span class="member-name">createSirene</span>&#8203;(<span class="parameters">java.lang.String&nbsp;etatAdministratifEtablissement,
java.lang.String&nbsp;entryType,
java.lang.String&nbsp;nAdresse,
java.lang.String&nbsp;adresse,
java.lang.String&nbsp;typeVoie,
java.lang.String&nbsp;codePos,
java.lang.String&nbsp;codeAmeniteEtablissement,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;denominationUniteLegale,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;trancheEffectifsEtablissement)</span>
                                throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">For API import</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="createSirene(org.opengis.feature.simple.SimpleFeature,java.lang.String,org.locationtech.jts.geom.Point)">
<h3>createSirene</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></span>&nbsp;<span class="member-name">createSirene</span>&#8203;(<span class="parameters">org.opengis.feature.simple.SimpleFeature&nbsp;sf,
java.lang.String&nbsp;entryType,
org.locationtech.jts.geom.Point&nbsp;p)</span>
                                throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="createSirene(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">
<h3>createSirene</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></span>&nbsp;<span class="member-name">createSirene</span>&#8203;(<span class="parameters">java.lang.String&nbsp;etatAdministratifEtablissement,
java.lang.String&nbsp;entryType,
java.lang.String&nbsp;nAdresse,
java.lang.String&nbsp;adresse,
java.lang.String&nbsp;typeVoie,
java.lang.String&nbsp;codePos,
java.lang.String&nbsp;codeAmeniteEtablissement,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;denominationUniteLegale,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;trancheEffectifsEtablissement,
org.locationtech.jts.geom.Point&nbsp;p)</span>
                                throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">For BDD import</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="classSIRENEEntryNAF1993(java.lang.String,boolean,java.io.File)">
<h3>classSIRENEEntryNAF1993</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">classSIRENEEntryNAF1993</span>&#8203;(<span class="parameters">java.lang.String&nbsp;amen,
boolean&nbsp;revised,
java.io.File&nbsp;modele)</span>
                                                  throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="classSIRENEEntryNAP(java.lang.String,java.io.File)">
<h3>classSIRENEEntryNAP</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">classSIRENEEntryNAP</span>&#8203;(<span class="parameters">java.lang.String&nbsp;codeAmenite,
java.io.File&nbsp;modele)</span>
                                              throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="classSIRENEEntryNAFRev2(java.lang.String,java.io.File,java.lang.String)">
<h3>classSIRENEEntryNAFRev2</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">classSIRENEEntryNAFRev2</span>&#8203;(<span class="parameters">java.lang.String&nbsp;codeAmenite,
java.io.File&nbsp;modele,
java.lang.String&nbsp;value)</span>
                                                throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="classSIRENEEntryNAFRev2(java.lang.String,java.io.File)">
<h3>classSIRENEEntryNAFRev2</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">classSIRENEEntryNAFRev2</span>&#8203;(<span class="parameters">java.lang.String&nbsp;codeAmenite,
java.io.File&nbsp;modele)</span>
                                                  throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getSIRENEData(java.io.File)">
<h3>getSIRENEData</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">getSIRENEData</span>&#8203;(<span class="parameters">java.io.File&nbsp;outFolder)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/SireneImport.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
